com.google.gwt.user.client.ui

## Class VerticalSplitPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.SplitPanel
        - - com.google.gwt.user.client.ui.VerticalSplitPanel

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, java.lang.Iterable<Widget>

Deprecated.
Use `SplitLayoutPanel` instead, but understand that it is not a drop in replacement for this class. It requires standards mode, and is most easily used under a `RootLayoutPanel` (as opposed to a `RootPanel`

    @Deprecated
    public final class VerticalSplitPanel
    extends SplitPanel

A panel that arranges two widgets in a single vertical column and allows the user to interactively change the proportion of the height dedicated to each of the two widgets. Widgets contained within a `VerticalSplitterPanel` will be automatically decorated with scrollbars when necessary.

This widget will only work in quirks mode. If your application is in Standards Mode, use `SplitLayoutPanel` instead.

### CSS Style Rules

- .gwt-VerticalSplitPanel { the panel itself }
- .gwt-VerticalSplitPanel vsplitter { the splitter }

See Also:
  `SplitLayoutPanel`

### Nested Class Summary

Nested Classes
`static interface` `VerticalSplitPanel.Resources` Deprecated. The default resources used by this widget.

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

`HasWidgets.ForIsWidget`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.ui.Widget

`eventsToSink`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`VerticalSplitPanel()` Deprecated.
`VerticalSplitPanel(VerticalSplitPanel.Resources resources)` Deprecated.
`VerticalSplitPanel(VerticalSplitPanelImages images)` Deprecated. replaced by `VerticalSplitPanel(Resources)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Widget` `getBottomWidget()` Deprecated. Gets the widget in the bottom of the panel.
`Widget` `getTopWidget()` Deprecated. Gets the widget in the top of the panel.
`protected void` `onEnsureDebugId(java.lang.String baseID)` Deprecated. Affected Elements: -splitter = the container containing the splitter element. -top = the container above the splitter. -bottom = the container below the splitter.
`protected void` `onLoad()` Deprecated. This method is called immediately after a widget becomes attached to the browser's document.
`(package private) void` `onSplitterResize(int x, int y)` Deprecated. Called on each mouse drag event as the user is dragging the splitter.
`(package private) void` `onSplitterResizeStarted(int x, int y)` Deprecated. Called when the user starts dragging the splitter.
`protected void` `onUnload()` Deprecated. This method is called immediately before a widget will be detached from the browser's document.
`void` `setBottomWidget(Widget w)` Deprecated. Sets the widget in the bottom of the panel.
`void` `setHeight(java.lang.String height)` Deprecated. Sets the object's height.
`void` `setSplitPosition(java.lang.String pos)` Deprecated. Moves the position of the splitter.
`void` `setTopWidget(Widget w)` Deprecated. Sets the widget in the top of the panel.

### Methods inherited from class com.google.gwt.user.client.ui.SplitPanel

`add, addAbsolutePositoning, addClipping, addScrolling, expandToFitParentUsingCssOffsets, expandToFitParentUsingPercentages, getElement, getOffsetHeight, getOffsetWidth, getSplitElement, getWidget, isResizing, iterator, onBrowserEvent, preventBoxStyles, remove, setBottom, setClassname, setHeight, setLeft, setRight, setTop, setWidget, setWidth`

### Methods inherited from class com.google.gwt.user.client.ui.Panel

`add, adopt, clear, doAttachChildren, doDetachChildren, orphan, remove`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### VerticalSplitPanel

    public VerticalSplitPanel()

Deprecated.

#### VerticalSplitPanel

    @Deprecated
    public VerticalSplitPanel(VerticalSplitPanelImages images)

Deprecated. replaced by `VerticalSplitPanel(Resources)`
Creates an empty vertical split panel.

#### VerticalSplitPanel

    public VerticalSplitPanel(VerticalSplitPanel.Resources resources)

Deprecated.

### Method Detail

#### getBottomWidget

    public Widget getBottomWidget()

Deprecated.
Gets the widget in the bottom of the panel.

Returns:
  the widget, `null` if there is not one

#### getTopWidget

    public Widget getTopWidget()

Deprecated.
Gets the widget in the top of the panel.

Returns:
  the widget, `null` if there is not one

#### setBottomWidget

    public void setBottomWidget(Widget w)

Deprecated.
Sets the widget in the bottom of the panel.

Parameters:
  `w` - the widget

#### setHeight

    public void setHeight(java.lang.String height)

Deprecated.
Description copied from class: `UIObject`
Sets the object's height. This height does not include decorations such as border, margin, and padding.

Overrides:
  `setHeight` in class `UIObject`
Parameters:
  `height` - the object's new height, in CSS units (e.g. "10px", "1em")

#### setSplitPosition

    public void setSplitPosition(java.lang.String pos)

Deprecated.
Description copied from class: `SplitPanel`
Moves the position of the splitter.

Specified by:
  `setSplitPosition` in class `SplitPanel`
Parameters:
  `pos` - the new size of the left region in CSS units (e.g. "10px", "1em")

#### setTopWidget

    public void setTopWidget(Widget w)

Deprecated.
Sets the widget in the top of the panel.

Parameters:
  `w` - the widget

#### onEnsureDebugId

    protected void onEnsureDebugId(java.lang.String baseID)

Deprecated.
Affected Elements:

- -splitter = the container containing the splitter element.
- -top = the container above the splitter.
- -bottom = the container below the splitter.

Overrides:
  `onEnsureDebugId` in class `SplitPanel`
Parameters:
  `baseID` - the base ID used by the main element
See Also:
  `UIObject.onEnsureDebugId(String)`

#### onLoad

    protected void onLoad()

Deprecated.
Description copied from class: `Widget`
This method is called immediately after a widget becomes attached to the browser's document.

Overrides:
  `onLoad` in class `Widget`

#### onUnload

    protected void onUnload()

Deprecated.
Description copied from class: `Widget`
This method is called immediately before a widget will be detached from the browser's document.

Overrides:
  `onUnload` in class `Widget`

#### onSplitterResize

    void onSplitterResize(int x,
                          int y)

Deprecated.
Description copied from class: `SplitPanel`
Called on each mouse drag event as the user is dragging the splitter.

Specified by:
  `onSplitterResize` in class `SplitPanel`
Parameters:
  `x` - the x coordinate of the mouse relative to the panel's extent
  `y` - the y coordinate of the mosue relative to the panel's extent

#### onSplitterResizeStarted

    void onSplitterResizeStarted(int x,
                                 int y)

Deprecated.
Description copied from class: `SplitPanel`
Called when the user starts dragging the splitter.

Specified by:
  `onSplitterResizeStarted` in class `SplitPanel`
Parameters:
  `x` - the x coordinate of the mouse relative to the panel's extent
  `y` - the y coordinate of the mouse relative to the panel's extent